Docs
API 1.39
Status
BYO providers

Register a bring-your-own provider

POST /v1/byo-providers: Register a bring-your-own provider

POST /v1/byo-providers
Operation idcreateByoProvider
Key scopeadmin: admin keys only
SectionBYO providers

#Request body

FieldTypeRequiredDescription
kind"proxy"yes
namestringyesmin length 1 · max length 64
configobjectyes
config.type"static", "list", "gateway"yes
config.vendor"brightdata", "oxylabs", "decodo", "iproyal", "webshare"
config.urlstringmin length 1 · max length 2048 · pattern ^(https?|socks5h?):\/\/[^\s]+$
config.urlsstringmin items 1 · max items 1000
config.api_keystringmin length 1 · max length 512
config.pool"datacenter", "residential", "mobile"default "datacenter"
config.countrystringpattern ^[A-Z]{2}$
config.base_urlstring (uri)
config.modelstringyesmin length 1 · max length 128

#Example request

curl -X POST "https://api.kaab.ist/v1/byo-providers" \
  -H "Authorization: Bearer $KAAB_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"kind":"proxy","name":"my-bright-data","config":{"type":"gateway","url":"http://user:[email protected]:22225","pool":"residential","country":"DE"}}'

#Responses

#201

Provider

ByoProvider

{
  "id": "byo_01j9zqk3q7m4n5p6r7s8t9v0wx",
  "object": "byo_provider",
  "kind": "proxy",
  "name": "my-bright-data",
  "status": "healthy",
  "last_health_at": "2026-09-18T10:00:00Z",
  "config_public": {
    "vendor": "brightdata",
    "pool": "residential"
  },
  "created_at": "2026-09-18T10:00:00Z"
}

#Errors

Every error answers with the error envelope; its code is one of the error codes.

StatusWhen
400request_invalid: request validation failed
401Missing or invalid API key
402insufficient_credits: top up to continue
403The key's scope does not cover this operation
409Conflicting state (see error.code)
422Semantically invalid request (see error.code)
429Rate limited; see Retry-After
500internal: unexpected server error

Was this page helpful?